> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Conversations By Source >
Enterprise
Use this endpoint to view the list of sources of Omnichannel conversation during the specified time range. Permission required: `view-livechat-reports`' ## OpenAPI ````json GET /api/v1/livechat/analytics/dashboards/conversations-by-source { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/analytics/dashboards/conversations-by-source": { "get": { "summary": "Get Conversations By Source", "tags": [ "Reports" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "total": { "type": "integer" }, "data": { "type": "array", "items": { "type": "object", "properties": { "label": { "type": "string" }, "value": { "type": "integer" } } } }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "total": "19", "data": [ { "label": "widget", "value": "18" }, { "label": "twilio", "value": "1" } ], "success": "true" } } } } } }, "400": { "$ref": "#/components/responses/startendError" }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "get-api-v1-livechat-analytics-dashboards-conversations-by-source", "description": "\n
\"Enterprise\"
\n\nUse this endpoint to view the list of sources of Omnichannel conversation during the specified time range. Permission required: `view-livechat-reports`'", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string", "example": "2025-06-01" }, "in": "query", "name": "start", "description": "Enter the start date. Format: YYYY-MM-DD", "required": "true" }, { "schema": { "type": "string", "example": "2025-12-01" }, "in": "query", "name": "end", "description": "Enter the end date. Format: YYYY-MM-DD", "required": "true" } ] } } }, "components": { "responses": { "startendError": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "must have required property 'start' [invalid-params]", "errorType": "invalid-params" } }, "Example 2": { "value": { "success": "false", "error": "The \"start\" query parameter must be a valid date." } }, "Example 3": { "value": { "success": "false", "error": "must have required property 'end' [invalid-params]", "errorType": "invalid-params" } }, "Example 4": { "value": { "success": "false", "error": "The \"end\" query parameter must be a valid date." } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````